function _gdf_etp(etp::Vector{UInt8})
    event = "unknown code ($(etp[1])$(etp[2]))"
    etp[1] == 0x01 && etp[2] == 0x01 && (event = "artifact:EOG (blinks)")
    etp[1] == 0x01 && etp[2] == 0x02 && (event = "artifact:ECG")
    etp[1] == 0x01 && etp[2] == 0x03 && (event = "artifact:EMG/Muscle")
    etp[1] == 0x01 && etp[2] == 0x04 && (event = "artifact:Movement")
    etp[1] == 0x01 && etp[2] == 0x05 && (event = "artifact:Failing Electrode")
    etp[1] == 0x01 && etp[2] == 0x06 && (event = "artifact:Sweat")
    etp[1] == 0x01 && etp[2] == 0x07 && (event = "artifact:50/60 Hz mains interference")
    etp[1] == 0x01 && etp[2] == 0x08 && (event = "artifact:breathing")
    etp[1] == 0x01 && etp[2] == 0x09 && (event = "artifact:pulse")
    etp[1] == 0x01 && etp[2] == 0x0a && (event = "artifact:EOG (slow)")
    etp[1] == 0x01 && etp[2] == 0x0f && (event = "calibration" )
    etp[1] == 0x01 && etp[2] == 0x11 && (event = "EEG:Sleep spindles")
    etp[1] == 0x01 && etp[2] == 0x12 && (event = "EEG:K-complexes")
    etp[1] == 0x01 && etp[2] == 0x13 && (event = "EEG:Saw-tooth waves")
    etp[1] == 0x01 && etp[2] == 0x14 && (event = "EEG:Idling EEG - eyes open")
    etp[1] == 0x01 && etp[2] == 0x15 && (event = "EEG:Idling EEG - eyes closed")
    etp[1] == 0x01 && etp[2] == 0x16 && (event = "EEG:spike")
    etp[1] == 0x01 && etp[2] == 0x17 && (event = "EEG:seizure")
    etp[1] == 0x01 && etp[2] == 0x18 && (event = "EEG:Electrographic seizure")
    etp[1] == 0x01 && etp[2] == 0x19 && (event = "EEG:Clinical seizure")
    etp[1] == 0x01 && etp[2] == 0x1a && (event = "EEG:Subclinical seizure")
    etp[1] == 0x01 && etp[2] == 0x1b && (event = "EEG:Stimulating for seizure")
    etp[1] == 0x01 && etp[2] == 0x21 && (event = "VEP:visual EP")
    etp[1] == 0x01 && etp[2] == 0x22 && (event = "AEP:auditory EP")
    etp[1] == 0x01 && etp[2] == 0x23 && (event = "SEP:somato-sensory EP")
    etp[1] == 0x01 && etp[2] == 0x2F && (event = "TMS:transcranial magnetic stimulation")
    etp[1] == 0x01 && etp[2] == 0x31 && (event = "SSVEP")
    etp[1] == 0x01 && etp[2] == 0x32 && (event = "SSAEP")
    etp[1] == 0x01 && etp[2] == 0x33 && (event = "SSSEP")
    etp[1] == 0x01 && etp[2] == 0x40 && (event = "response code 0")
    etp[1] == 0x01 && etp[2] == 0x41 && (event = "response code 1")
    etp[1] == 0x01 && etp[2] == 0x42 && (event = "response code 2")
    etp[1] == 0x01 && etp[2] == 0x43 && (event = "response code 3")
    etp[1] == 0x01 && etp[2] == 0x44 && (event = "Go, or response code 4")
    etp[1] == 0x01 && etp[2] == 0x45 && (event = "NoGo, or response code 5")
    etp[1] == 0x02 && etp[2] == 0x01 && (event = "Spike, action potential (fiducial point)")
    etp[1] == 0x02 && etp[2] == 0x02 && (event = "Burst")
    etp[1] == 0x02 && etp[2] == 0x03 && (event = "maximum slope time")
    etp[1] == 0x02 && etp[2] == 0x04 && (event = "peak time of spike")
    etp[1] == 0x02 && etp[2] == 0x11 && (event = "EPSP")
    etp[1] == 0x02 && etp[2] == 0x12 && (event = "IPSP")
    etp[1] == 0x02 && etp[2] == 0x13 && (event = "EPSC")
    etp[1] == 0x02 && etp[2] == 0x14 && (event = "IPSC")
    etp[1] == 0x03 && etp[2] == 0x00 && (event = "Start of Trial")
    etp[1] == 0x03 && etp[2] == 0x01 && (event = "class1, Left hand")
    etp[1] == 0x03 && etp[2] == 0x02 && (event = "class2, Right hand")
    etp[1] == 0x03 && etp[2] == 0x03 && (event = "class3, Foot, towards Right")
    etp[1] == 0x03 && etp[2] == 0x04 && (event = "class4, Tongue")
    etp[1] == 0x03 && etp[2] == 0x05 && (event = "class5")
    etp[1] == 0x03 && etp[2] == 0x06 && (event = "class6, towards Down")
    etp[1] == 0x03 && etp[2] == 0x07 && (event = "class7")
    etp[1] == 0x03 && etp[2] == 0x08 && (event = "class8")
    etp[1] == 0x03 && etp[2] == 0x09 && (event = "class9, towards Left")
    etp[1] == 0x03 && etp[2] == 0x0A && (event = "class10")
    etp[1] == 0x03 && etp[2] == 0x0B && (event = "class11")
    etp[1] == 0x03 && etp[2] == 0x0C && (event = "class12, towards Up")
    etp[1] == 0x03 && etp[2] == 0x0D && (event = "Feedback (continuous)")
    etp[1] == 0x03 && etp[2] == 0x0E && (event = "Feedback (discrete)")
    etp[1] == 0x03 && etp[2] == 0x0F && (event = "cue unknown/undefined")
    etp[1] == 0x03 && etp[2] == 0x11 && (event = "Beep")
    etp[1] == 0x03 && etp[2] == 0x12 && (event = "Cross on screen")
    etp[1] == 0x03 && etp[2] == 0x13 && (event = "Flashing light")
    #0x031b - 0x037f reserved for ASCII characters #27-#127
    etp[1] == 0x03 && etp[2] == 0x81 && (event = "target hit, task successful, correct classification")
    etp[1] == 0x03 && etp[2] == 0x82 && (event = "target missed, task not reached, incorrect classification")
    etp[1] == 0x03 && etp[2] == 0xff && (event = "Rejection of whole trial")
    etp[1] == 0x04 && etp[2] == 0x01 && (event = "OAHE")
    etp[1] == 0x04 && etp[2] == 0x02 && (event = "RERA")
    etp[1] == 0x04 && etp[2] == 0x03 && (event = "CAHE")
    etp[1] == 0x04 && etp[2] == 0x04 && (event = "CS Breathing")
    etp[1] == 0x04 && etp[2] == 0x05 && (event = "Hypoventilation")
    etp[1] == 0x04 && etp[2] == 0x06 && (event = "Apnea")
    etp[1] == 0x04 && etp[2] == 0x07 && (event = "Obstructive apnea")
    etp[1] == 0x04 && etp[2] == 0x08 && (event = "Central apnea")
    etp[1] == 0x04 && etp[2] == 0x09 && (event = "Mixed apnea")
    etp[1] == 0x04 && etp[2] == 0x0A && (event = "Hypopnea")
    etp[1] == 0x04 && etp[2] == 0x0B && (event = "Periodic Breathing")
    etp[1] == 0x04 && etp[2] == 0x0C && (event = "Limb movement")
    etp[1] == 0x04 && etp[2] == 0x0D && (event = "PLMS")
    etp[1] == 0x04 && etp[2] == 0x0E && (event = "(time of) maximum inspiration")
    etp[1] == 0x04 && etp[2] == 0x0F && (event = "Start of inspiration")
    etp[1] == 0x04 && etp[2] == 0x10 && (event = "Sleep stage Wake")
    etp[1] == 0x04 && etp[2] == 0x11 && (event = "Sleep stage 1")
    etp[1] == 0x04 && etp[2] == 0x12 && (event = "Sleep stage 2")
    etp[1] == 0x04 && etp[2] == 0x13 && (event = "Sleep stage 3")
    etp[1] == 0x04 && etp[2] == 0x14 && (event = "Sleep stage 4")
    etp[1] == 0x04 && etp[2] == 0x15 && (event = "Sleep stage REM")
    etp[1] == 0x04 && etp[2] == 0x16 && (event = "Sleep stage ?")
    etp[1] == 0x04 && etp[2] == 0x17 && (event = "Movement time")
    etp[1] == 0x04 && etp[2] == 0x18 && (event = "Bruxism")
    etp[1] == 0x04 && etp[2] == 0x19 && (event = "RBD")
    etp[1] == 0x04 && etp[2] == 0x1A && (event = "RMD")
    etp[1] == 0x04 && etp[2] == 0x1B && (event = "Sleep stage N")
    etp[1] == 0x04 && etp[2] == 0x1C && (event = "Sleep stage N1")
    etp[1] == 0x04 && etp[2] == 0x1D && (event = "Sleep stage N2")
    etp[1] == 0x04 && etp[2] == 0x1E && (event = "Sleep stage N3")
    etp[1] == 0x04 && etp[2] == 0x20 && (event = "Lights on ")
    etp[1] == 0x84 && etp[2] == 0x20 && (event = "Lights off")
    etp[1] == 0x04 && etp[2] == 0x31 && (event = "eyes left")
    etp[1] == 0x04 && etp[2] == 0x32 && (event = "eyes right")
    etp[1] == 0x04 && etp[2] == 0x33 && (event = "eyes up")
    etp[1] == 0x04 && etp[2] == 0x34 && (event = "eyes down")
    etp[1] == 0x04 && etp[2] == 0x35 && (event = "horizontal eye movement")
    etp[1] == 0x04 && etp[2] == 0x36 && (event = "vertical eye movement")
    etp[1] == 0x04 && etp[2] == 0x37 && (event = "eye rotation (clockwise)")
    etp[1] == 0x04 && etp[2] == 0x38 && (event = "eye rotation (counterclockwise)")
    etp[1] == 0x04 && etp[2] == 0x39 && (event = "eye blinks")
    etp[1] == 0x04 && etp[2] == 0x41 && (event = "left hand movement")
    etp[1] == 0x04 && etp[2] == 0x42 && (event = "right hand movement")
    etp[1] == 0x04 && etp[2] == 0x43 && (event = "head movement")
    etp[1] == 0x04 && etp[2] == 0x44 && (event = "tongue movement")
    etp[1] == 0x04 && etp[2] == 0x45 && (event = "swallowing")
    etp[1] == 0x04 && etp[2] == 0x46 && (event = "biting, chewing, teeth griding")
    etp[1] == 0x04 && etp[2] == 0x47 && (event = "foot movement")
    etp[1] == 0x04 && etp[2] == 0x48 && (event = "foot (right) movement")
    etp[1] == 0x04 && etp[2] == 0x49 && (event = "arm movement")
    etp[1] == 0x04 && etp[2] == 0x4a && (event = "arm (right) movement")
    etp[1] == 0x05 && etp[2] == 0x01 && (event = "ECG:Fiducial point of QRS complex")
    etp[1] == 0x05 && etp[2] == 0x02 && (event = "ECG:P-wave-onset")
    etp[1] == 0x85 && etp[2] == 0x02 && (event = "ECG:P-wave-end")
    etp[1] == 0x05 && etp[2] == 0x03 && (event = "ECG:Q-wave-onset")
    etp[1] == 0x85 && etp[2] == 0x03 && (event = "ECG:Q-wave-peak")
    etp[1] == 0x05 && etp[2] == 0x04 && (event = "ECG:R-point")
    etp[1] == 0x05 && etp[2] == 0x05 && (event = "ECG:S-wave-onset")
    etp[1] == 0x85 && etp[2] == 0x05 && (event = "ECG:S-wave-end")
    etp[1] == 0x05 && etp[2] == 0x06 && (event = "ECG:T-wave-onset")
    etp[1] == 0x85 && etp[2] == 0x06 && (event = "ECG:T-wave-end")
    etp[1] == 0x05 && etp[2] == 0x07 && (event = "ECG:U-wave-onset")
    etp[1] == 0x85 && etp[2] == 0x07 && (event = "ECG:U-wave-end")
    etp[1] == 0x05 && etp[2] == 0x80 && (event = "start")
    etp[1] == 0x05 && etp[2] == 0x81 && (event = "25 Watt")
    etp[1] == 0x05 && etp[2] == 0x82 && (event = "50 Watt")
    etp[1] == 0x05 && etp[2] == 0x83 && (event = "75 Watt")
    etp[1] == 0x05 && etp[2] == 0x84 && (event = "100 Watt")
    etp[1] == 0x05 && etp[2] == 0x85 && (event = "125 Watt")
    etp[1] == 0x05 && etp[2] == 0x86 && (event = "150 Watt")
    etp[1] == 0x05 && etp[2] == 0x87 && (event = "175 Watt")
    etp[1] == 0x05 && etp[2] == 0x88 && (event = "200 Watt")
    etp[1] == 0x05 && etp[2] == 0x89 && (event = "225 Watt")
    etp[1] == 0x05 && etp[2] == 0x8a && (event = "250 Watt")
    etp[1] == 0x05 && etp[2] == 0x8b && (event = "275 Watt")
    etp[1] == 0x05 && etp[2] == 0x8c && (event = "300 Watt")
    etp[1] == 0x05 && etp[2] == 0x8d && (event = "325 Watt")
    etp[1] == 0x05 && etp[2] == 0x8e && (event = "350 Watt")
    etp[1] == 0x85 && etp[2] == 0x80 && (event = "end")
    etp[1] == 0x00 && etp[2] == 0x00 && (event = "empty event")
    etp[1] == 0x00 && etp[2] == 0x01 && (event = "condition 1")
    etp[1] == 0x00 && etp[2] == 0x02 && (event = "condition 2")
    etp[1] == 0x00 && etp[2] == 0x03 && (event = "condition 3")
    etp[1] == 0x00 && etp[2] == 0x04 && (event = "condition 4")
    etp[1] == 0x00 && etp[2] == 0x05 && (event = "condition 5")
    etp[1] == 0x00 && etp[2] == 0x06 && (event = "condition 6")
    etp[1] == 0x00 && etp[2] == 0x07 && (event = "condition 7")
    etp[1] == 0x00 && etp[2] == 0x08 && (event = "condition 8")
    etp[1] == 0x00 && etp[2] == 0x09 && (event = "condition 9")
    etp[1] == 0x00 && etp[2] == 0x0a && (event = "condition 10")
    etp[1] == 0x00 && etp[2] == 0x0b && (event = "condition 11")
    etp[1] == 0x00 && etp[2] == 0x0c && (event = "condition 12")
    etp[1] == 0x00 && etp[2] == 0x0d && (event = "condition 13")
    etp[1] == 0x00 && etp[2] == 0x0e && (event = "condition 14")
    etp[1] == 0x00 && etp[2] == 0x0f && (event = "condition 15")
    etp[1] == 0x00 && etp[2] == 0x10 && (event = "condition 16")
    etp[1] == 0x00 && etp[2] == 0x11 && (event = "condition 17")
    etp[1] == 0x00 && etp[2] == 0x12 && (event = "condition 18")
    etp[1] == 0x00 && etp[2] == 0x13 && (event = "condition 19")
    etp[1] == 0x00 && etp[2] == 0x14 && (event = "condition 20")
    etp[1] == 0x00 && etp[2] == 0x15 && (event = "condition 21")
    etp[1] == 0x00 && etp[2] == 0x16 && (event = "condition 22")
    etp[1] == 0x00 && etp[2] == 0x17 && (event = "condition 23")
    etp[1] == 0x00 && etp[2] == 0x18 && (event = "condition 24")
    etp[1] == 0x00 && etp[2] == 0x19 && (event = "condition 25")
    etp[1] == 0x00 && etp[2] == 0x1a && (event = "condition 26")
    etp[1] == 0x00 && etp[2] == 0x20 && (event = "condition 32")
    etp[1] == 0x00 && etp[2] == 0x2f && (event = "condition 47")
    etp[1] == 0x00 && etp[2] == 0x30 && (event = "condition 48")
    etp[1] == 0x00 && etp[2] == 0x31 && (event = "condition 49")
    etp[1] == 0x00 && etp[2] == 0x32 && (event = "condition 50")
    etp[1] == 0x00 && etp[2] == 0x33 && (event = "condition 51")
    etp[1] == 0x00 && etp[2] == 0x34 && (event = "condition 52")
    etp[1] == 0x00 && etp[2] == 0x35 && (event = "condition 53")
    etp[1] == 0x00 && etp[2] == 0x36 && (event = "condition 54")
    etp[1] == 0x00 && etp[2] == 0x37 && (event = "condition 55")
    etp[1] == 0x00 && etp[2] == 0x38 && (event = "condition 56")
    etp[1] == 0x00 && etp[2] == 0x39 && (event = "condition 57")
    etp[1] == 0x00 && etp[2] == 0x3a && (event = "condition 58")
    etp[1] == 0x00 && etp[2] == 0x3b && (event = "condition 59")
    etp[1] == 0x00 && etp[2] == 0x3c && (event = "condition 60")
    etp[1] == 0x00 && etp[2] == 0x3d && (event = "condition 61")
    etp[1] == 0x00 && etp[2] == 0x3e && (event = "condition 62")
    etp[1] == 0x00 && etp[2] == 0x3f && (event = "condition 63")
    etp[1] == 0x00 && etp[2] == 0x40 && (event = "condition 64")
    etp[1] == 0x00 && etp[2] == 0x41 && (event = "condition 65")
    etp[1] == 0x00 && etp[2] == 0x42 && (event = "condition 66")
    etp[1] == 0x00 && etp[2] == 0x46 && (event = "condition 70")
    etp[1] == 0x00 && etp[2] == 0x51 && (event = "condition 81")
    etp[1] == 0x00 && etp[2] == 0x52 && (event = "condition 82")
    etp[1] == 0x00 && etp[2] == 0x53 && (event = "condition 83")
    etp[1] == 0x00 && etp[2] == 0x5b && (event = "condition 91")
    etp[1] == 0x00 && etp[2] == 0x5c && (event = "condition 92")
    etp[1] == 0x00 && etp[2] == 0x5d && (event = "condition 93")
    etp[1] == 0x00 && etp[2] == 0x60 && (event = "condition 96")
    etp[1] == 0x00 && etp[2] == 0x63 && (event = "condition 99")
    etp[1] == 0x00 && etp[2] == 0x80 && (event = "condition 128")
    etp[1] == 0x00 && etp[2] == 0x81 && (event = "condition 129")
    etp[1] == 0x00 && etp[2] == 0x82 && (event = "condition 130")
    etp[1] == 0x00 && etp[2] == 0x84 && (event = "condition 131")
    etp[1] == 0x00 && etp[2] == 0x85 && (event = "condition 132")
    etp[1] == 0x00 && etp[2] == 0x86 && (event = "condition 133")
    etp[1] == 0x00 && etp[2] == 0x87 && (event = "condition 134")
    etp[1] == 0x00 && etp[2] == 0xa6 && (event = "condition 166")
    etp[1] == 0x00 && etp[2] == 0xa7 && (event = "condition 167")
    etp[1] == 0x00 && etp[2] == 0xa8 && (event = "condition 168")
    etp[1] == 0x00 && etp[2] == 0xa9 && (event = "condition 169")
    etp[1] == 0x7f && etp[2] == 0xfe && (event = "start of a new segment (after a break)")
    etp[1] == 0x7f && etp[2] == 0xff && (event = "non-equidistant sampling value")
    return event
end